com.mysql.cj

## Interface CacheAdapter<K,V>

All Known Implementing Classes:
  PerConnectionLRUFactory.PerConnectionLRU

    public interface CacheAdapter<K,V>

### Method Summary

All Methods Instance Methods Abstract Methods
`V` `get(K key)`
`void` `invalidate(K key)`
`void` `invalidateAll()`
`void` `invalidateAll(Set<K> keys)`
`void` `put(K key, V value)`

### Method Detail

#### get

    V get(K key)

#### put

    void put(K key,
             V value)

#### invalidate

    void invalidate(K key)

#### invalidateAll

    void invalidateAll(Set<K> keys)

#### invalidateAll

    void invalidateAll()

Copyright © 2016, 2024, Oracle and/or its affiliates.